Page MenuHomePhabricator

"Nothing to translate" shown incorrectly when switching from proofreading mode to page translation mode on Special:Translate
Closed, ResolvedPublic

Description

Observed behaviour

Steps to reproduce:

  1. Go to https://translatewiki.net/wiki/Special:Translate?filter=translated%7C%21reviewer%3A1%7C%21last-translator%3A1&action=proofread&language=fi
  2. Click page mode at the floating status bar (you may need to scroll the page to have it appear, unrelated issues)

Observed: Seen "no messages to translate" and list of messages
Expected: Only list of messages

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:31 AM
bzimport set Reference to bz47986.
bzimport added a subscriber: Unknown Object (MLST).

Scenario that does not need constructed URLs.

  1. Go to https://translatewiki.net/wiki/Special:Translate
  2. Click proofread view.
  3. Click page view.

Change 597057 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Fix "nothing to translate" error on moving from review to page mode

https://gerrit.wikimedia.org/r/597057

Change 597057 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Fix "nothing to translate" error on moving from review to page mode

https://gerrit.wikimedia.org/r/597057

Nikerabbit renamed this task from [TUX] "No messages to translate" shown incorrectly when switching from proofreading to page to "No messages to translate" shown incorrectly when switching from proofreading mode to page translation mode on Special:Translate.May 19 2020, 1:11 PM
Nikerabbit removed a project: Patch-For-Review.
Nikerabbit updated the task description. (Show Details)
Nikerabbit removed a subscriber: wikibugs-l-list.
Nikerabbit renamed this task from "No messages to translate" shown incorrectly when switching from proofreading mode to page translation mode on Special:Translate to "Nothing to translate" shown incorrectly when switching from proofreading mode to page translation mode on Special:Translate.May 19 2020, 1:16 PM
Nikerabbit updated the task description. (Show Details)
Nikerabbit updated the task description. (Show Details)
abi_ closed this task as Resolved.May 22 2020, 1:26 PM
abi_ moved this task from Needs QA to Done on the Language-Team (Language-2020-Focus-Sprint) board.

This is deployed and tested on Translatewiki.net